# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "mongo"
  s.version = "1.8.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Tyler Brock", "Gary Murakami", "Emily Stolfo", "Brandon Black"]
  s.date = "2013-01-03"
  s.description = "A Ruby driver for MongoDB. For more information about Mongo, see http://www.mongodb.org."
  s.email = "mongodb-dev@googlegroups.com"
  s.executables = ["mongo_console"]
  s.files = ["mongo.gemspec", "LICENSE", "VERSION", "README.md", "Rakefile", "bin/mongo_console", "lib/mongo.rb", "lib/mongo/gridfs/grid_io.rb", "lib/mongo/gridfs/grid_ext.rb", "lib/mongo/gridfs/grid_file_system.rb", "lib/mongo/gridfs/grid.rb", "lib/mongo/mongo_sharded_client.rb", "lib/mongo/collection.rb", "lib/mongo/mongo_client.rb", "lib/mongo/db.rb", "lib/mongo/legacy.rb", "lib/mongo/mongo_replica_set_client.rb", "lib/mongo/networking.rb", "lib/mongo/util/uri_parser.rb", "lib/mongo/util/unix_socket.rb", "lib/mongo/util/write_concern.rb", "lib/mongo/util/ssl_socket.rb", "lib/mongo/util/conversions.rb", "lib/mongo/util/server_version.rb", "lib/mongo/util/thread_local_variable_manager.rb", "lib/mongo/util/node.rb", "lib/mongo/util/pool_manager.rb", "lib/mongo/util/sharding_pool_manager.rb", "lib/mongo/util/pool.rb", "lib/mongo/util/read_preference.rb", "lib/mongo/util/logging.rb", "lib/mongo/util/core_ext.rb", "lib/mongo/util/tcp_socket.rb", "lib/mongo/util/support.rb", "lib/mongo/exceptions.rb", "lib/mongo/cursor.rb", "test/test_helper.rb", "test/replica_set/insert_test.rb", "test/replica_set/client_test.rb", "test/replica_set/query_test.rb", "test/replica_set/basic_test.rb", "test/replica_set/read_preference_test.rb", "test/replica_set/refresh_test.rb", "test/replica_set/replication_ack_test.rb", "test/replica_set/complex_connect_test.rb", "test/replica_set/count_test.rb", "test/replica_set/cursor_test.rb", "test/replica_set/connection_test.rb", "test/bson/hash_with_indifferent_access_test.rb", "test/bson/bson_test.rb", "test/bson/binary_test.rb", "test/bson/ordered_hash_test.rb", "test/bson/timestamp_test.rb", "test/bson/byte_buffer_test.rb", "test/bson/object_id_test.rb", "test/bson/json_test.rb", "test/sharded_cluster/basic_test.rb", "test/tools/mongo_config_test.rb", "test/tools/mongo_config.rb", "test/tools/auth_repl_set_manager.rb", "test/unit/node_test.rb", "test/unit/db_test.rb", "test/unit/client_test.rb", "test/unit/util_test.rb", "test/unit/pool_manager_test.rb", "test/unit/safe_test.rb", "test/unit/collection_test.rb", "test/unit/pool_test.rb", "test/unit/grid_test.rb", "test/unit/write_concern_test.rb", "test/unit/cursor_test.rb", "test/unit/read_test.rb", "test/unit/connection_test.rb", "test/auxillary/authentication_test.rb", "test/auxillary/fork_test.rb", "test/auxillary/autoreconnect_test.rb", "test/auxillary/repl_set_auth_test.rb", "test/auxillary/1.4_feature_test.rb", "test/auxillary/threaded_authentication_test.rb", "test/auxillary/slave_connection_test.rb", "test/threading/basic_test.rb", "test/functional/db_test.rb", "test/functional/db_connection_test.rb", "test/functional/cursor_fail_test.rb", "test/functional/uri_test.rb", "test/functional/safe_test.rb", "test/functional/collection_test.rb", "test/functional/support_test.rb", "test/functional/grid_io_test.rb", "test/functional/db_api_test.rb", "test/functional/pool_test.rb", "test/functional/grid_test.rb", "test/functional/threading_test.rb", "test/functional/write_concern_test.rb", "test/functional/cursor_message_test.rb", "test/functional/cursor_test.rb", "test/functional/timeout_test.rb", "test/functional/grid_file_system_test.rb", "test/functional/conversions_test.rb", "test/functional/connection_test.rb"]
  s.homepage = "http://www.mongodb.org"
  s.require_paths = ["lib"]
  s.rubyforge_project = "mongo"
  s.rubygems_version = "1.8.23"
  s.summary = "Ruby driver for MongoDB"
  s.test_files = ["test/test_helper.rb", "test/replica_set/insert_test.rb", "test/replica_set/client_test.rb", "test/replica_set/query_test.rb", "test/replica_set/basic_test.rb", "test/replica_set/read_preference_test.rb", "test/replica_set/refresh_test.rb", "test/replica_set/replication_ack_test.rb", "test/replica_set/complex_connect_test.rb", "test/replica_set/count_test.rb", "test/replica_set/cursor_test.rb", "test/replica_set/connection_test.rb", "test/bson/hash_with_indifferent_access_test.rb", "test/bson/bson_test.rb", "test/bson/binary_test.rb", "test/bson/ordered_hash_test.rb", "test/bson/timestamp_test.rb", "test/bson/byte_buffer_test.rb", "test/bson/object_id_test.rb", "test/bson/json_test.rb", "test/sharded_cluster/basic_test.rb", "test/tools/mongo_config_test.rb", "test/tools/mongo_config.rb", "test/tools/auth_repl_set_manager.rb", "test/unit/node_test.rb", "test/unit/db_test.rb", "test/unit/client_test.rb", "test/unit/util_test.rb", "test/unit/pool_manager_test.rb", "test/unit/safe_test.rb", "test/unit/collection_test.rb", "test/unit/pool_test.rb", "test/unit/grid_test.rb", "test/unit/write_concern_test.rb", "test/unit/cursor_test.rb", "test/unit/read_test.rb", "test/unit/connection_test.rb", "test/auxillary/authentication_test.rb", "test/auxillary/fork_test.rb", "test/auxillary/autoreconnect_test.rb", "test/auxillary/repl_set_auth_test.rb", "test/auxillary/1.4_feature_test.rb", "test/auxillary/threaded_authentication_test.rb", "test/auxillary/slave_connection_test.rb", "test/threading/basic_test.rb", "test/functional/db_test.rb", "test/functional/db_connection_test.rb", "test/functional/cursor_fail_test.rb", "test/functional/uri_test.rb", "test/functional/safe_test.rb", "test/functional/collection_test.rb", "test/functional/support_test.rb", "test/functional/grid_io_test.rb", "test/functional/db_api_test.rb", "test/functional/pool_test.rb", "test/functional/grid_test.rb", "test/functional/threading_test.rb", "test/functional/write_concern_test.rb", "test/functional/cursor_message_test.rb", "test/functional/cursor_test.rb", "test/functional/timeout_test.rb", "test/functional/grid_file_system_test.rb", "test/functional/conversions_test.rb", "test/functional/connection_test.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<bson>, ["~> 1.8.1"])
    else
      s.add_dependency(%q<bson>, ["~> 1.8.1"])
    end
  else
    s.add_dependency(%q<bson>, ["~> 1.8.1"])
  end
end

